	//----------TUserComments开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TUserComments 
        /// </summary>
		[Table("TUserComments")]
        public partial class TUserComments: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ReplayID")]   
				[DataMember]  
			    public string ReplayID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ReplayUserID")]   
				[DataMember]  
			    public string ReplayUserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Content")]   
				[DataMember]  
			    public string Content  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CreateUserID")]   
				[DataMember]  
			    public string CreateUserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Deleted")]   
				[DataMember]  
			    public bool Deleted  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TUserComments 
            /// </summary>
            public class TUserCommentsMap : EntityTypeConfiguration<TUserComments>
			{
                public TUserCommentsMap()
                {
					this.ToTable("TUserComments");
												this.HasKey(t => t.ID);
													 this.Property(t => t.UserID).HasColumnName("UserID").IsRequired();
													 this.Property(t => t.ReplayID).HasColumnName("ReplayID");
													 this.Property(t => t.ReplayUserID).HasColumnName("ReplayUserID");
													 this.Property(t => t.Content).HasColumnName("Content").IsRequired();
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime").IsRequired();
													 this.Property(t => t.CreateUserID).HasColumnName("CreateUserID").IsRequired();
													 this.Property(t => t.Sort).HasColumnName("Sort").IsRequired();
													 this.Property(t => t.Deleted).HasColumnName("Deleted").IsRequired();
										}
			}**/

	}

	//----------TUserComments结束----------

	